Name:       fusiondirectory-integrator
Version:    1.0
Release:    1
Summary:    FusionDirectory toolkit
License:    GPL-2.0-or-later
URL:        https://www.fusiondirectory.org
Source0     https://gitlab.fusiondirectory.org/fusiondirectory/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
Buildarch:  noarch

Requires:   php-common >= 7.4
Requires:   php-ldap >= 7.4
Requires:   php-mbstring >= 7.4
Requires:   php-xml >= 7.4


%description
FusionDirectory Integrator is a base set of library used to create console
tools and in the future the base of a toolkit to create new software around
FusionDirectory.


%prep
%autosetup
 

%build
# Nothing to build


%install
install -d -m 0755 %{buildroot}%{_datadir}/php/FusionDirectory/
cp -a src/FusionDirectory %{buildroot}%{_datadir}/php/FusionDirectory/
cp -a src/autoloader.php %{buildroot}%{_datadir}/php/FusionDirectory/


%files
%doc AUTHORS.md Changelog.md README.md
%dir %{_datadir}/php/FusionDirectory/
%{_datadir}/php/FusionDirectory/autoloader.php
%{_datadir}/php/FusionDirectory/FusionDirectory/Cli/
%{_datadir}/php/FusionDirectory/FusionDirectory/Ldap/


%changelog
* Mon Sep 25 2023 Xavier Bachelot <xaviert@bachelot.org> - 1.0-1
- Initial specfile
